glibmm: Gio::DBus::ActionGroup Class Reference

glibmm 2.33.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gio::DBus::ActionGroup Class Reference

ActionGroup - A D-Bus Gio::ActionGroup implementation. More...

`#include <giomm/dbusactiongroup.h>`

Inheritance diagram for Gio::DBus::ActionGroup:
[legend]

List of all members.

## Public Member Functions
virtual | ~ActionGroup ()
GDBusActionGroup* | gobj ()
| Provides access to the underlying C GObject.
const GDBusActionGroup* | gobj () const
| Provides access to the underlying C GObject.
GDBusActionGroup* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
## Static Public Member Functions
static Glib::RefPtr< ActionGroup > | get (const Glib::RefPtr< Connection >& connection, const Glib::ustring& bus_name, const Glib::ustring& object_path)
| Obtains a DBusActionGroup for the action group which is exported at the given bus_name and object_path.
## Protected Member Functions
| ActionGroup ()
| You should derive from this class to use it.
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Gio::DBus::ActionGroup > | wrap (GDBusActionGroup* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

ActionGroup - A D-Bus Gio::ActionGroup implementation.

ActionGroup is an implementation of the Gio::ActionGroup interface that can be used as a proxy for an action group that is exported over D-Bus with Gio::DBus::Connection::export_action_group().

Since glibmm 2.32:

## Constructor & Destructor Documentation

virtual Gio::DBus::ActionGroup::~ActionGroup | ( |  | ) | `[virtual]`

Reimplemented from Gio::ActionGroup.

Gio::DBus::ActionGroup::ActionGroup | ( |  | ) | `[protected]`

You should derive from this class to use it.

Reimplemented from Gio::ActionGroup.

## Member Function Documentation

static Glib::RefPtr<ActionGroup> Gio::DBus::ActionGroup::get | ( | const Glib::RefPtr< Connection >& | connection,
|  | const Glib::ustring& | bus_name,
|  | const Glib::ustring& | object_path
| ) |  | `[static]`

Obtains a DBusActionGroup for the action group which is exported at the given bus_name and object_path.

The thread default main context is taken at the time of this call. All signals on the menu model (and any linked models) are reported with respect to this context. All calls on the returned menu model (and linked models) must also originate from this same context, with the thread default main context unchanged.

This call is non-blocking. The returned action group may or may not already be filled in. The correct thing to do is connect the signals for the action group to monitor for changes and then to call g_action_group_list_actions() to get the initial list.

Since glibmm 2.32:

Parameters:

  connection | A DBusConnection.
  bus_name | The bus name which exports the action group.
  object_path | The object path at which the action group is exported.

Returns:
  A DBusActionGroup.

GDBusActionGroup* Gio::DBus::ActionGroup::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gio::ActionGroup.

const GDBusActionGroup* Gio::DBus::ActionGroup::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gio::ActionGroup.

GDBusActionGroup* Gio::DBus::ActionGroup::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## Friends And Related Function Documentation

Glib::RefPtr< Gio::DBus::ActionGroup > wrap | ( | GDBusActionGroup * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.